导航
  • 主页
  • 系统维护与使用
  • 应用程序开发
  • 内核源代码
  • 驱动程序开发
  • CPU和硬件区
  • UNIX文化
  • Solaris
  • Power Linux
  • 问答

RH9升级GCC遇到问题,请高手帮忙

w0911h 2009-11-18 11:21:54
我按照如下方法将GCC升级到3.4.9,但是出现问题,系统重启后卡在starting system logger那一步很长时间,进入系统后提示“启动GNOME设置守护进程时出错”,“载入OAFIID:GNOME_SystemTrayApplet时遇到问题”,使用ls命令提示“bash:child setpgid(3806 to 3806):没有那个进程”,请教高手该如何解决,或者怎么用源码来安装


1,下载gcc3.4.6版本相应的rpm包
  ftp://mirror.switch.ch/mirror/scientificlinux/40rolling/i386/SL/RPMS/ 这个网址可以下载到相应的RPM包。需要下载的RPM包如下:

  cpp-3.4.6-11.i386.rpm
  gcc-3.4.6-11.i386.rpm
  glibc-2.3.4-2.43.i386.rpm
  glibc-common-2.3.4-2.43.i386.rpm
  glibc-devel-2.3.4-2.43.i386.rpm
  glibc-headers-2.3.4-2.43.i386.rpm
  glibc-kernheaders-2.4-9.1.103.EL.i386.rpm

  2,下载gcc3.4.6版本所需的binutils相应版本的源码包
  http://ftp.gnu.org/gnu/binutils/这个网址可以直接下载到需要的源码包,我这里使用的是binutils-2.17.tar.bz2,看网上资料,升级gcc3.4.6最少需要2.15版本的binutils。

3,编译安装binutils-2.17.tar.tar
  #tar jvxf binutils-2.17.tar.tar
  #cd binutils-2.17
  #./configure
  #make
  #make install
  新建终端执行#ld –v

  GNU ld version 2.17

  我们的binutils已经成功升级成2.17版本了。

  4,安装rpm包

  安装顺序以及命令如下:
  #rpm -Uvh --nodeps --replacefiles glibc-kernheaders-2.4-9.1.103.EL.i386.rpm
  #rpm -Uvh --nodeps --replacefiles glibc-common-2.3.4-2.43.i386.rpm
  #rpm -Uvh --nodeps --replacefiles glibc-headers-2.3.4-2.43.i386.rpm
  #rpm -Uvh --nodeps --replacefiles glibc-devel-2.3.4-2.43.i386.rpm
  #rpm -Uvh --nodeps --replacefiles glibc-2.3.4-2.43.i386.rpm
  #rpm -Uvh --nodeps --replacefiles cpp-3.4.6-11.i386.rpm
  #rpm -Uvh --nodeps --replacefiles gcc-3.4.6-11.i386.rpm
...全文
153 点赞 收藏 3
写回复
3 条回复
切换为时间正序
请发表友善的回复…
发表回复
Wenxy1 2009-11-18
重新安装吧。另外,看看你升级的GCC支不支持readhat 9
回复
别搞升级了。
直接删除掉原来的gcc,然后重新编译新版本的。
回复
yy2004005 2009-11-18
重新安装下,像这种问题是不需要自己手动来编译的,如果是ubuntu 输入命令:sudo apt-get install gcc就ok了,其他版本也有自己的方法,很简单yum install gcc?不是很确定,不过再这之前要卸载掉原来的gcc
回复
发动态
发帖子
Linux/Unix社区
创建于2007-08-27

2.0w+

社区成员

Linux/Unix社区 应用程序开发区
申请成为版主
社区公告
暂无公告